libzypp: zypp::media::TransferSettings::Impl Class Reference

libzypp 17.25.10

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
zypp::media::TransferSettings::Impl Class Reference

## Public Member Functions
| Impl ()
virtual | ~Impl ()

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl. More...

## Public Attributes
std::vector< std::string > | _headers
std::string | _useragent
std::string | _username
std::string | _password
bool | _useproxy
std::string | _proxy
std::string | _proxy_username
std::string | _proxy_password
std::string | _authtype
long | _timeout
long | _connect_timeout
Url | _url
Pathname | _targetdir
long | _maxConcurrentConnections
long | _minDownloadSpeed
long | _maxDownloadSpeed
long | _maxSilentTries
bool | _verify_host
bool | _verify_peer
Pathname | _ca_path
Pathname | _client_cert_path
Pathname | _client_key_path
bool | _head_requests_allowed

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer More...

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 21 of file TransferSettings.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::media::TransferSettings::Impl::Impl | ( |  | ) |
| inline

Definition at line 24 of file TransferSettings.cc.

## ◆ ~Impl()

virtual zypp::media::TransferSettings::Impl::~Impl | ( |  | ) |
| inlinevirtual

Definition at line 38 of file TransferSettings.cc.

## Member Function Documentation

## ◆ nullimpl()

static shared_ptr<Impl> zypp::media::TransferSettings::Impl::nullimpl | ( |  | ) |
| inlinestatic

Offer default Impl.

Definition at line 42 of file TransferSettings.cc.

## ◆ clone()

Impl* zypp::media::TransferSettings::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 51 of file TransferSettings.cc.

## Friends And Related Function Documentation

## ◆ rwcowClone

Impl* rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _headers

std::vector<std::string> zypp::media::TransferSettings::Impl::_headers

Definition at line 55 of file TransferSettings.cc.

## ◆ _useragent

std::string zypp::media::TransferSettings::Impl::_useragent

Definition at line 56 of file TransferSettings.cc.

## ◆ _username

std::string zypp::media::TransferSettings::Impl::_username

Definition at line 57 of file TransferSettings.cc.

## ◆ _password

std::string zypp::media::TransferSettings::Impl::_password

Definition at line 58 of file TransferSettings.cc.

## ◆ _useproxy

bool zypp::media::TransferSettings::Impl::_useproxy

Definition at line 59 of file TransferSettings.cc.

## ◆ _proxy

std::string zypp::media::TransferSettings::Impl::_proxy

Definition at line 60 of file TransferSettings.cc.

## ◆ _proxy_username

std::string zypp::media::TransferSettings::Impl::_proxy_username

Definition at line 61 of file TransferSettings.cc.

## ◆ _proxy_password

std::string zypp::media::TransferSettings::Impl::_proxy_password

Definition at line 62 of file TransferSettings.cc.

## ◆ _authtype

std::string zypp::media::TransferSettings::Impl::_authtype

Definition at line 63 of file TransferSettings.cc.

## ◆ _timeout

long zypp::media::TransferSettings::Impl::_timeout

Definition at line 64 of file TransferSettings.cc.

## ◆ _connect_timeout

long zypp::media::TransferSettings::Impl::_connect_timeout

Definition at line 65 of file TransferSettings.cc.

## ◆ _url

Url zypp::media::TransferSettings::Impl::_url

Definition at line 66 of file TransferSettings.cc.

## ◆ _targetdir

Pathname zypp::media::TransferSettings::Impl::_targetdir

Definition at line 67 of file TransferSettings.cc.

## ◆ _maxConcurrentConnections

long zypp::media::TransferSettings::Impl::_maxConcurrentConnections

Definition at line 69 of file TransferSettings.cc.

## ◆ _minDownloadSpeed

long zypp::media::TransferSettings::Impl::_minDownloadSpeed

Definition at line 70 of file TransferSettings.cc.

## ◆ _maxDownloadSpeed

long zypp::media::TransferSettings::Impl::_maxDownloadSpeed

Definition at line 71 of file TransferSettings.cc.

## ◆ _maxSilentTries

long zypp::media::TransferSettings::Impl::_maxSilentTries

Definition at line 72 of file TransferSettings.cc.

## ◆ _verify_host

bool zypp::media::TransferSettings::Impl::_verify_host

Definition at line 74 of file TransferSettings.cc.

## ◆ _verify_peer

bool zypp::media::TransferSettings::Impl::_verify_peer

Definition at line 75 of file TransferSettings.cc.

## ◆ _ca_path

Pathname zypp::media::TransferSettings::Impl::_ca_path

Definition at line 76 of file TransferSettings.cc.

## ◆ _client_cert_path

Pathname zypp::media::TransferSettings::Impl::_client_cert_path

Definition at line 77 of file TransferSettings.cc.

## ◆ _client_key_path

Pathname zypp::media::TransferSettings::Impl::_client_key_path

Definition at line 78 of file TransferSettings.cc.

## ◆ _head_requests_allowed

bool zypp::media::TransferSettings::Impl::_head_requests_allowed

Definition at line 81 of file TransferSettings.cc.

The documentation for this class was generated from the following file:

- zypp/media/TransferSettings.cc